Index: Invariant/invariant.py
===================================================================
--- Invariant/invariant.py	(revision cbaa2f4ff8069f13638eab90e08c814ad650c8e6)
+++ Invariant/invariant.py	(revision 992199e349de8c3bfd5414dff9a21c8cd9b0f893)
@@ -626,6 +626,6 @@
         # Systematic error
         # If we have smearing, the shape of the I(q) distribution at low Q will
-        # may not be a Guinier or simple power law. The following is a conservative
-        # estimation for the systematic error.
+        # may not be a Guinier or simple power law. The following is 
+        # a conservative estimation for the systematic error.
         err = qmin*qmin*math.fabs((qmin-self._low_q_limit)*\
                                   (data.y[0] - data.y[INTEGRATION_NSTEPS-1]))
Index: Invariant/invariant_mapper.py
===================================================================
--- Invariant/invariant_mapper.py	(revision 5797edc0e561b28b79ad8ce36e52fe15410edbcb)
+++ Invariant/invariant_mapper.py	(revision 992199e349de8c3bfd5414dff9a21c8cd9b0f893)
@@ -4,53 +4,45 @@
 """
 
-class InvariantMapper:
+
+def get_qstar(inv, extrapolation=None):
     """
-    Wrapper for invariant module for map interface
+    Get invariant value (Q*)
     """
-    def __init__(self):
-        """
-        Initialize the wrapper
-        """
-    def get_qstar(self, inv, extrapolation=None):
-        """
-        Get invariant value (Q*)
-        """
-        return inv.get_qstar(extrapolation)
-    
-    def get_qstar_with_error(self, inv, extrapolation=None):
-        """
-        Get invariant value with uncertainty
-        """
-        return inv.get_qstar_with_error(extrapolation)
-    
-    def get_volume_fraction(self, inv, contrast, extrapolation=None):
-        """
-        Get volume fraction
-        """
-        return inv.get_volume_fraction(contrast, extrapolation)
-    
-    def get_volume_fraction_with_error(self, inv, contrast, extrapolation=None):
-        """
-        Get volume fraction with uncertainty
-        """
-        return inv.get_volume_fraction_with_error(contrast,
-                                                        extrapolation)
-    
-    def get_surface(self, inv, contrast, porod_const, extrapolation=None):
-        """
-        Get surface with uncertainty
-        """
-        return inv.get_surface(contrast=contrast,
-                                          porod_const=porod_const,
-                                          extrapolation=extrapolation)
-    
-    def get_surface_with_error(self, inv, contrast, 
-                               porod_const, extrapolation=None):
-        """
-        Get surface with uncertainty
-        """
-        return inv.get_surface_with_error(contrast=contrast,
-                                          porod_const=porod_const,
-                                          extrapolation=extrapolation)
-    
-    
+    return inv.get_qstar(extrapolation)
+
+def get_qstar_with_error(inv, extrapolation=None):
+    """
+    Get invariant value with uncertainty
+    """
+    return inv.get_qstar_with_error(extrapolation)
+
+def get_volume_fraction(inv, contrast, extrapolation=None):
+    """
+    Get volume fraction
+    """
+    return inv.get_volume_fraction(contrast, extrapolation)
+
+def get_volume_fraction_with_error(inv, contrast, extrapolation=None):
+    """
+    Get volume fraction with uncertainty
+    """
+    return inv.get_volume_fraction_with_error(contrast,
+                                                    extrapolation)
+
+def get_surface(inv, contrast, porod_const, extrapolation=None):
+    """
+    Get surface with uncertainty
+    """
+    return inv.get_surface(contrast=contrast,
+                                      porod_const=porod_const,
+                                      extrapolation=extrapolation)
+
+def get_surface_with_error(inv, contrast, 
+                           porod_const, extrapolation=None):
+    """
+    Get surface with uncertainty
+    """
+    return inv.get_surface_with_error(contrast=contrast,
+                                      porod_const=porod_const,
+                                      extrapolation=extrapolation)
+
